Subject: Re: [PATCH 1/2] arm64: bpf: add 'store immediate' instruction

From: Will Deacon <[email-masked]>
Date: Wed, 11 Nov 2015 12:12:56 +0000

On Tue, Nov 10, 2015 at 06:45:39PM -0800, Z Lim wrote:
> On Tue, Nov 10, 2015 at 2:41 PM, Yang Shi <[email-masked]> wrote:
> > aarch64 doesn't have native store immediate instruction, such operation
> 
> Actually, aarch64 does have "STR (immediate)". For arm64 JIT, we can
> consider using it as an optimization.

Yes, I'd definitely like to see that in preference to moving via a
temporary register.

Will